*------------------------------------------------
*    clsPrinter
*------------------------------------------------
SET DEFAULT TO LEFT(SYS(16,0), RAT("\",SYS(16,0)))
SET CLASSLIB TO printer

*    
IF SELECT('Table1')=0
	USE Table1 IN 0
ENDIF
SELECT Table1

*  
LOCAL loPrinter
loPrinter = CREATEOBJECT('clsdrawprinter')
loPrinter.Open()
* 1- 
loPrinter.NewPage()

*      
loPrinter.cFontName = "Verdana"
loPrinter.nFontSize = 10
loPrinter.DrawString('- '+TRANSFORM(loPrinter.nPageNom)+' -', 0, 0, loPrinter.nHORZRES, 100, 1)
loPrinter.nFontSize = 16
loPrinter.DrawString("     2004 .", 0, 100, ;
	loPrinter.nHORZRES, 500, 1, 1, .F.)

LOCAL lnY, lnW, lnW2, lnH
lnY = 600
lnW2 = 600
lnW = loPrinter.nHORZRES - lnW2 * 4 - 10	&&   ,  4   600
lnH = 120

*    -----------------------
loPrinter.nFontSize = 10
loPrinter.lFontBold = .T.
loPrinter.nLineWidth = 12

loPrinter.Rectangle(0, lnY, lnW, lnH*2)
loPrinter.DrawString("", 0, lnY, lnW, lnH*2, 1)

loPrinter.MoveTo(lnW, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH*2)
loPrinter.DrawString("  ", loPrinter.nX, lnY, lnW2, lnH*2, 1)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH*2)
loPrinter.DrawString("  ",  loPrinter.nX, lnY, lnW2, lnH*2, 1)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH*2)
loPrinter.DrawString("  ", loPrinter.nX, lnY, lnW2, lnH*2, 1)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH*2)
loPrinter.DrawString("  ",  loPrinter.nX, lnY, lnW2, lnH*2, 1)

*   ----------------------------------
lnY = lnY + lnH*2
loPrinter.lFontBold = .F.
loPrinter.nLineWidth = 6

SCAN
	loPrinter.Rectangle(0, lnY, lnW, lnH)
	loPrinter.DrawString(ALLTRIM(Table1.naimen), 0, lnY, lnW, lnH, 0)
	
	loPrinter.MoveTo(lnW, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.ostn), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.sum1), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.sum2), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.ostn + Table1.sum1 - Table1.sum2), ;
		loPrinter.nX, lnY, lnW2, lnH, 2)
	lnY = lnY + lnH
ENDSCAN

* 2-  ----------------------------------
loPrinter.NewPage()

lnY = 200
loPrinter.lFontBold = .F.
loPrinter.nLineWidth = 6

*      
loPrinter.DrawString('- '+TRANSFORM(loPrinter.nPageNom)+' -', 0, 0, loPrinter.nHORZRES, 100, 1)

SCAN
	loPrinter.Rectangle(0, lnY, lnW, lnH)
	loPrinter.DrawString(ALLTRIM(Table1.naimen), 0, lnY, lnW, lnH, 0)
	
	loPrinter.MoveTo(lnW, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.ostn), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.sum1), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.sum2), loPrinter.nX, lnY, lnW2, lnH, 2)

	loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
	loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
	loPrinter.DrawString(TRANSFORM(Table1.ostn + Table1.sum1 - Table1.sum2), ;
		loPrinter.nX, lnY, lnW2, lnH, 2)
	lnY = lnY + lnH
ENDSCAN

*   --------------------------------
loPrinter.nLineWidth = 12

LOCAL lnostn, lnsum1, lnsum2
CALCULATE SUM(ostn), SUM(sum1), SUM(sum2) TO lnostn, lnsum1, lnsum2

loPrinter.Rectangle(0, lnY, lnW, lnH)
loPrinter.DrawString(':', 0, lnY, lnW, lnH, 0)

loPrinter.MoveTo(lnW, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
loPrinter.DrawString(TRANSFORM(lnostn), loPrinter.nX, lnY, lnW2, lnH, 2)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
loPrinter.DrawString(TRANSFORM(lnsum1), loPrinter.nX, lnY, lnW2, lnH, 2)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
loPrinter.DrawString(TRANSFORM(lnsum2), loPrinter.nX, lnY, lnW2, lnH, 2)

loPrinter.MoveTo(loPrinter.nX+lnW2, lnY)
loPrinter.Rectangle(loPrinter.nX, lnY, lnW2, lnH)
loPrinter.DrawString(TRANSFORM(lnostn + lnsum1 - lnsum2), ;
	loPrinter.nX, lnY, lnW2, lnH, 2)

*    
loPrinter.Close()
